# Uses of Class
org.apache.sling.api.resource.ResourceMetadata

Packages that use ResourceMetadata
Package
Description
org.apache.sling.api.resource

## Uses of ResourceMetadata in org.apache.sling.api.resource

Methods in org.apache.sling.api.resource that return ResourceMetadata
Modifier and Type
Method
Description
`@NotNull ResourceMetadata`
Resource.`getResourceMetadata()`
Returns the meta data of this resource.
`@NotNull ResourceMetadata`
ResourceWrapper.`getResourceMetadata()`
Returns the value of calling `getResourceMetadata` on the `wrapped resource`.
`@NotNull ResourceMetadata`
SyntheticResource.`getResourceMetadata()`
Returns a resource metadata object containing just the path of this resource as the `RESOLUTION_PATH` property.
Constructors in org.apache.sling.api.resource with parameters of type ResourceMetadata
Modifier
Constructor
Description
``
`SyntheticResource(@NotNull ResourceResolver resourceResolver, @NotNull ResourceMetadata rm, @NotNull String resourceType)`
Creates a synthetic resource with the given `ResourceMetadata` and `resourceType`.